Copy the last installation url for your version of Kibana from the repository releases. The file follows the naming where the version indicated it's the one in Kibana.

Remember that starting from Kibana 5.0 you always need an update version of every plugin for it to start as indicated here.

#Kibana >= 5.x
./bin/kibana-plugin install

#Kibana 4
./bin/kibana --install mathlion -u

You have to download the 4.x version for Kibana 4 and the specific version to match your Kibana version if you have Kibana >=5.x